A new version of MacOs (Catalina) is released.

 

 

For MacSign users:

 

MacSign Cut does not support MacOS 10.15 Catalina yet. 

SofTeam is working on a solution, exact timing is not known.

 

Do not update your MacOs system when you use MacSign Cut !

When you by accident did already update your MacOS than you will need to revert this.

 

The current versions of MacSign’s plug-ins and Summa plug-ins for Adobe Illustrator are signed and work fine on MacOS 10.15 Catalina.